Ask Your Question
0

P2OS Binary debian Failing

asked 2013-06-24 03:17:32 -0600

allenh1 gravatar image

Still having trouble building the debian files... Does anyone see the issue for this round? This is the build of the binary deb. The Source deb builds fine.

[...truncated 779 lines...]
Setting up libboost-mpi-python1.46-dev (1.46.1-5ubuntu3) ...
Setting up libboost-program-options1.46.1 (1.46.1-5ubuntu2) ...
Setting up libboost-program-options1.46-dev (1.46.1-5ubuntu2) ...
Setting up libpython2.7 (2.7.2-5ubuntu1.1) ...
Setting up python2.7-dev (2.7.2-5ubuntu1.1) ...
Setting up python-dev (2.7.2-7ubuntu2) ...
Setting up libboost-python1.46-dev (1.46.1-5ubuntu2) ...
Setting up libboost-random1.46.1 (1.46.1-5ubuntu2) ...
Setting up libboost-random1.46-dev (1.46.1-5ubuntu2) ...
Setting up libboost-signals1.46.1 (1.46.1-5ubuntu2) ...
Setting up libboost-signals1.46-dev (1.46.1-5ubuntu2) ...
Setting up libboost-thread1.46.1 (1.46.1-5ubuntu2) ...
Setting up libboost-thread1.46-dev (1.46.1-5ubuntu2) ...
Setting up libboost-wave1.46.1 (1.46.1-5ubuntu2) ...
Setting up libboost-wave1.46-dev (1.46.1-5ubuntu2) ...
Setting up libboost1.46-all-dev (1.46.1-5ubuntu3) ...
Setting up libgtest-dev (1.6.0-1) ...
Setting up liblog4cxx10 (0.10.0-1.2ubuntu1) ...
Setting up liblog4cxx10-dev (0.10.0-1.2ubuntu1) ...
Setting up python-argparse (1.1-1ubuntu1) ...
Setting up python-support (1.0.13ubuntu1) ...
Setting up python-catkin-pkg (0.1.15-1) ...
Setting up python-empy (3.3-6ubuntu1) ...
Setting up python-pkg-resources (0.6.16-1ubuntu0.1) ...
Setting up python-nose (1.0.0-1ubuntu1) ...
Setting up ros-groovy-genmsg (0.4.20-0oneiric-20130619-0919-+0000) ...
Setting up ros-groovy-genlisp (0.4.10-0oneiric-20130619-0941-+0000) ...
Setting up ros-groovy-genpy (0.4.12-0oneiric-20130619-0940-+0000) ...
Setting up ros-groovy-gencpp (0.4.13-0oneiric-20130619-0940-+0000) ...
Setting up ros-groovy-message-generation (0.2.9-0oneiric-20130619-0954-+0000) ...
Setting up ros-groovy-cpp-common (0.3.15-0oneiric-20130607-1648-+0000) ...
Setting up ros-groovy-rostime (0.3.15-0oneiric-20130607-1703-+0000) ...
Setting up ros-groovy-roscpp-traits (0.3.15-0oneiric-20130607-1714-+0000) ...
Setting up ros-groovy-roscpp-serialization (0.3.15-0oneiric-20130607-1724-+0000) ...
Setting up ros-groovy-message-runtime (0.4.11-0oneiric-20130619-0954-+0000) ...
Setting up ros-groovy-std-msgs (0.5.7-0oneiric-20130619-1008-+0000) ...
Setting up ros-groovy-actionlib-msgs (1.9.16-0oneiric-20130619-1037-+0000) ...
Setting up ros-groovy-catkin (0.5.67-0oneiric-20130619-0909-+0000) ...
Setting up ros-groovy-geometry-msgs (1.9.16-0oneiric-20130619-1037-+0000) ...
Setting up ros-groovy-rosconsole (1.9.46-0oneiric-20130619-0954-+0000) ...
Setting up ros-groovy-rosgraph-msgs (1.9.46-0oneiric-20130619-1036-+0000) ...
Setting up ros-groovy-xmlrpcpp (1.9.46-0oneiric-20130619-0921-+0000) ...
Setting up ros-groovy-roscpp (1.9.46-0oneiric-20130619-1217-+0000) ...
Setting up ros-groovy-message-filters (1.9.46-0oneiric-20130619-1617-+0000) ...
Setting up ros-groovy-nav-msgs (1.9.16-0oneiric-20130619-1225-+0000) ...
Setting up ros-groovy-sensor-msgs (1.9.16-0oneiric-20130619-1226-+0000) ...
Setting up ros-groovy-tf (1.9.29-0oneiric-20130619-1702-+0000) ...
Processing triggers for libc-bin ...
ldconfig deferred processing now taking place
Processing triggers for python-support ...
Reading package lists...
Building dependency tree...
Reading state information...
Reading extended state information...
Initializing package states...
Writing extended state information...
 -> Finished parsing the build-deps
Reading package lists...
Building dependency tree...
Reading state information...
fakeroot is already the newest version.
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
I: Copying back the cached apt archive contents
I: Copying source file
I: copying [ros-groovy-p2os-driver_1.0.0-2oneiric.dsc]
I: copying [./ros-groovy-p2os-driver_1.0.0.orig.tar.gz]
I: copying [./ros-groovy-p2os-driver_1.0.0-2oneiric.debian.tar.gz]
I: Extracting source
dpkg-source: warning: extracting unsigned source package (ros-groovy-p2os-driver_1.0.0-2oneiric.dsc)
dpkg-source: info: extracting ros-groovy-p2os-driver in ros-groovy-p2os-driver-1.0.0
dpkg-source: info: unpacking ros-groovy-p2os-driver_1.0.0.orig.tar.gz
dpkg-source: info: unpacking ros-groovy-p2os-driver_1.0.0-2oneiric.debian.tar.gz
I: Building the package ...
(more)
edit retag flag offensive close merge delete

1 Answer

Sort by ยป oldest newest most voted
0

answered 2013-06-24 06:47:36 -0600

Dirk Thomas gravatar image

The error message

In file included from /tmp/buildd/ros-groovy-p2os-driver-1.0.0-2oneiric-20130623-2135/src/p2osnode.cc:29:0:
/tmp/buildd/ros-groovy-p2os-driver-1.0.0-2oneiric-20130623-2135/include/p2os.h:46:42: fatal error: diagnostic_updater/publisher.h: No such file or directory

indicates that your package does not set the include_directories() correctly. Please see http://ros.org/doc/groovy/api/catkin/html/howto/catkin_library_dependencies.html#include-directories for an example how to add the include directories of packages you depend on.

edit flag offensive delete link more

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

Stats

Asked: 2013-06-24 03:17:32 -0600

Seen: 97 times

Last updated: Jun 24 '13